// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define Mult_serverCompdef_Mult_server_impl_BODY

/************************************************************
 Mult_server_impl class body
 ************************************************************/

// include associated header file
#include "Mult_serverCompdef/Mult_server_impl.h"

// Derived includes directives
#include "rclcpp/rclcpp.hpp"

namespace Mult_serverCompdef {

// static attributes (if any)
long int numberOfRequests=0;

/**
 * 
 * @param options 
 */
Mult_server_impl::Mult_server_impl(rclcpp::NodeOptions /*in*/options) :
		Mult_server(options) {
}

/**
 * 
 * @param request 
 * @param response 
 * @return ret 
 */
bool Mult_server_impl::multiply_handler(
		const fromscratch_services::srv::QueryMultInMultOut::Request::SharedPtr /*in*/request,
		const fromscratch_services::srv::QueryMultInMultOut::Response::SharedPtr /*in*/response) {
	response->result = request->xval * request->yval;
	response->validity = false;
	RCLCPP_INFO(get_logger(), "request: x=%ld, y=%ld", (short int) request->xval,
			(short int) request->yval);
	RCLCPP_INFO(get_logger(), "sending back response: [%ld]",
			(long int) response->result);

	fromscratch_services::msg::NumOfRequests localNumOfRequests;
	numberOfRequests++;
	localNumOfRequests.value = numberOfRequests;
	processed_requests_pub_->publish(localNumOfRequests);

	return true;
}

/**
 * 
 */
void Mult_server_impl::processed_requests_handler() {
}

} // of namespace Mult_serverCompdef

/************************************************************
 End of Mult_server_impl class body
 ************************************************************/
